Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.client.remote.ejb.wl
Class WLEJBInitialContext

`java.lang.Object
oracle.jbo.common.JboInitialContext
oracle.jbo.client.remote.ejb.wl.WLEJBInitialContext`

All Implemented Interfaces:
  javax.naming.Context, JboContext

public class WLEJBInitialContext
extends JboInitialContext

Version:
  INTERNAL

Field Summary

Fields inherited from interface oracle.jbo.JboContext
`APPLICATION_PACKAGES, APPLICATION_PATH, CONNECTION_MODE, CONNECTION_PORT, DEPLOY_PLATFORM, HOST_NAME, JBO_CONTEXT_FACTORY, JBO_PROJECT, ORACLE_SID, PLATFORM_COLO, PLATFORM_EJB, PLATFORM_EJB_IAS, PLATFORM_LOCAL, PLATFORM_ORACLE8I, PLATFORM_VB, PLATFORM_WLS, USE_APPLET, USE_DEFAULT_CONTEXT`

Fields inherited from interface javax.naming.Context
`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

Constructor Summary
`WLEJBInitialContext(java.util.Hashtable env)` This constructor is necessary for JboInitialContextFactory to create WLInitialContext properly via reflection.

Method Summary
`protected JboHome` | `createJboHome(java.lang.String publishedName)`

Methods inherited from class oracle.jbo.common.JboInitialContext
`addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getEnvironment, getNameInNamespace, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLEJBInitialContext

    public WLEJBInitialContext(java.util.Hashtable env)

  This constructor is necessary for JboInitialContextFactory to create WLInitialContext properly via reflection.

Method Detail

### createJboHome

    protected JboHome createJboHome(java.lang.String publishedName)
                             throws javax.naming.NamingException

  Overrides:
    `createJboHome` in class `JboInitialContext`
  Throws:
    `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.